### Method

# Gtk Entry set_icon_from_paintable

#### Declaration [src]

    void
    gtk_entry_set_icon_from_paintable (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos,
      GdkPaintable* paintable
    )

#### Description [src]

Sets the icon shown in the specified position using a `GdkPaintable`.

If `paintable` is `NULL`, no icon will be shown in the specified position.

#### Parameters

`icon_pos` | `GtkEntryIconPosition`
| Icon position.
`paintable` | `GdkPaintable*`
| A `GdkPaintable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.